# $Revision: 1.9 $, $Date: 2008/07/27 22:57:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unix
%define		pnam	Conf
Summary:	Unix::Conf - set of modules for accesing and locking config files
Summary(pl.UTF-8):	Unix::Conf - zestaw modułów ułatwiających obsługę plików konfiguracyjnych
Name:		perl-Unix-Conf
Version:	0.2
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0cd54a49aa255256714fb4e0df0d8ba0
URL:		http://www.extremix.net/UnixConf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of modules for accessing and locking config files. It handles
dotlock and flock lock types.

%description -l pl.UTF-8
Zestaw modułów ułatwiających obsługę plików konfiguracyjnych, w tym
tworzenie blokad. Obsługiwane typy blokad to flock oraz dotfile.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Unix/Conf.pm
%dir %{perl_vendorlib}/Unix/Conf
%{perl_vendorlib}/Unix/Conf/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unix-Conf.spec,v $
Revision 1.9  2008/07/27 22:57:34  arekm
- release 2

Revision 1.8  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:53  paladine
- formatting

Revision 1.5  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.4  2004/04/13 06:58:27  ankry
- cosmetics

Revision 1.3  2004/04/12 12:23:30  qboosh
- typos

Revision 1.2  2004/04/12 05:06:17  agaran
- pl

Revision 1.1  2004/04/12 03:49:30  agaran
new spec, nfy
